diff --git a/configure.ac b/configure.ac
index 01b3bbc1be8..32fae8081ef 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1376,122 +1376,122 @@ fi
 #
 PGAC_ARG_REQ(with, ssl, [LIB], [use LIB for SSL/TLS support (openssl)])
 if test x"$with_ssl" = x"" ; then
-  with_ssl=no
+	with_ssl=no
 fi
 PGAC_ARG_BOOL(with, openssl, no, [obsolete spelling of --with-ssl=openssl])
 if test "$with_openssl" = yes ; then
-  with_ssl=openssl
+	with_ssl=openssl
 fi
 
 if test "$with_ssl" = openssl ; then
-  dnl Order matters!
-  # Minimum required OpenSSL version is 1.1.1
-  AC_DEFINE(OPENSSL_API_COMPAT, [0x10101000L],
-            [Define to the OpenSSL API version in use. This avoids deprecation warnings from newer OpenSSL versions.])
-  AC_CHECK_LIB(crypto, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'crypto' is required for OpenSSL])])
-  AC_CHECK_LIB(ssl,    SSL_new, [], [AC_MSG_ERROR([library 'ssl' is required for OpenSSL])])
-  # Functions introduced in OpenSSL 1.1.1.
-  AC_CHECK_FUNCS([SSL_CTX_set_ciphersuites], [], [AC_MSG_ERROR([OpenSSL version >= 1.1.1 is required for SSL support])])
-  # Function introduced in OpenSSL 1.0.2, not in LibreSSL.
-  AC_CHECK_FUNCS([SSL_CTX_set_cert_cb])
-  # Function introduced in OpenSSL 1.1.1, not in LibreSSL.
-  AC_CHECK_FUNCS([X509_get_signature_info SSL_CTX_set_num_tickets SSL_CTX_set_keylog_callback])
-  AC_DEFINE([USE_OPENSSL], 1, [Define to 1 to build with OpenSSL support. (--with-ssl=openssl)])
+	dnl Order matters!
+	# Minimum required OpenSSL version is 1.1.1
+	AC_DEFINE(OPENSSL_API_COMPAT, [0x10101000L],
+						[Define to the OpenSSL API version in use. This avoids deprecation warnings from newer OpenSSL versions.])
+	AC_CHECK_LIB(crypto, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'crypto' is required for OpenSSL])])
+	AC_CHECK_LIB(ssl,    SSL_new, [], [AC_MSG_ERROR([library 'ssl' is required for OpenSSL])])
+	# Functions introduced in OpenSSL 1.1.1.
+	AC_CHECK_FUNCS([SSL_CTX_set_ciphersuites], [], [AC_MSG_ERROR([OpenSSL version >= 1.1.1 is required for SSL support])])
+	# Function introduced in OpenSSL 1.0.2, not in LibreSSL.
+	AC_CHECK_FUNCS([SSL_CTX_set_cert_cb])
+	# Function introduced in OpenSSL 1.1.1, not in LibreSSL.
+	AC_CHECK_FUNCS([X509_get_signature_info SSL_CTX_set_num_tickets SSL_CTX_set_keylog_callback])
+	AC_DEFINE([USE_OPENSSL], 1, [Define to 1 to build with OpenSSL support. (--with-ssl=openssl)])
 elif test "$with_ssl" != no ; then
-  AC_MSG_ERROR([--with-ssl must specify openssl])
+	AC_MSG_ERROR([--with-ssl must specify openssl])
 fi
 AC_SUBST(with_ssl)
 
 if test "$with_pam" = yes ; then
-  AC_CHECK_LIB(pam,    pam_start, [], [AC_MSG_ERROR([library 'pam' is required for PAM])])
+	AC_CHECK_LIB(pam,    pam_start, [], [AC_MSG_ERROR([library 'pam' is required for PAM])])
 fi
 
 if test "$with_libxml" = yes ; then
-  AC_CHECK_LIB(xml2, xmlSaveToBuffer, [], [AC_MSG_ERROR([library 'xml2' (version >= 2.6.23) is required for XML support])])
+	AC_CHECK_LIB(xml2, xmlSaveToBuffer, [], [AC_MSG_ERROR([library 'xml2' (version >= 2.6.23) is required for XML support])])
 fi
 
 if test "$with_libxslt" = yes ; then
-  AC_CHECK_LIB(xslt, xsltCleanupGlobals, [], [AC_MSG_ERROR([library 'xslt' is required for XSLT support])])
+	AC_CHECK_LIB(xslt, xsltCleanupGlobals, [], [AC_MSG_ERROR([library 'xslt' is required for XSLT support])])
 fi
 
 if test "$with_liburing" = yes; then
-  _LIBS="$LIBS"
-  LIBS="$LIBURING_LIBS $LIBS"
-  AC_CHECK_FUNCS([io_uring_queue_init_mem])
-  LIBS="$_LIBS"
+	_LIBS="$LIBS"
+	LIBS="$LIBURING_LIBS $LIBS"
+	AC_CHECK_FUNCS([io_uring_queue_init_mem])
+	LIBS="$_LIBS"
 fi
 
 if test "$with_lz4" = yes ; then
-  AC_CHECK_LIB(lz4, LZ4_compress_default, [], [AC_MSG_ERROR([library 'lz4' is required for LZ4 support])])
+	AC_CHECK_LIB(lz4, LZ4_compress_default, [], [AC_MSG_ERROR([library 'lz4' is required for LZ4 support])])
 fi
 
 if test "$with_zstd" = yes ; then
-  AC_CHECK_LIB(zstd, ZSTD_compress, [], [AC_MSG_ERROR([library 'zstd' is required for ZSTD support])])
+	AC_CHECK_LIB(zstd, ZSTD_compress, [], [AC_MSG_ERROR([library 'zstd' is required for ZSTD support])])
 fi
 
 # Note: We can test for libldap_r only after we know PTHREAD_LIBS
 if test "$with_ldap" = yes ; then
-  _LIBS="$LIBS"
-  if test "$PORTNAME" != "win32"; then
-    AC_CHECK_LIB(ldap, ldap_bind, [],
+	_LIBS="$LIBS"
+	if test "$PORTNAME" != "win32"; then
+		AC_CHECK_LIB(ldap, ldap_bind, [],
 		 [AC_MSG_ERROR([library 'ldap' is required for LDAP])],
 		 [$EXTRA_LDAP_LIBS])
-    LDAP_LIBS_BE="-lldap $EXTRA_LDAP_LIBS"
-    # This test is carried out against libldap.
-    AC_CHECK_FUNCS([ldap_initialize])
-    # The separate ldap_r library only exists in OpenLDAP < 2.5, and if we
-    # have 2.5 or later, we shouldn't even probe for ldap_r (we might find a
-    # library from a separate OpenLDAP installation).  The most reliable
-    # way to check that is to check for a function introduced in 2.5.
-    AC_CHECK_FUNC([ldap_verify_credentials],
-		  [thread_safe_libldap=yes],
-		  [thread_safe_libldap=no])
-    if test "$thread_safe_libldap" = no; then
-      # Use ldap_r for FE if available, else assume ldap is thread-safe.
-      # On some platforms ldap_r fails to link without PTHREAD_LIBS.
-      LIBS="$_LIBS"
-      AC_CHECK_LIB(ldap_r, ldap_bind,
-		   [LDAP_LIBS_FE="-lldap_r $EXTRA_LDAP_LIBS"],
-		   [LDAP_LIBS_FE="-lldap $EXTRA_LDAP_LIBS"],
-		   [$PTHREAD_CFLAGS $PTHREAD_LIBS $EXTRA_LDAP_LIBS])
-    else
-      LDAP_LIBS_FE="-lldap $EXTRA_LDAP_LIBS"
-    fi
-  else
-    AC_CHECK_LIB(wldap32, ldap_bind, [], [AC_MSG_ERROR([library 'wldap32' is required for LDAP])])
-    LDAP_LIBS_FE="-lwldap32"
-    LDAP_LIBS_BE="-lwldap32"
-  fi
-  LIBS="$_LIBS"
+		LDAP_LIBS_BE="-lldap $EXTRA_LDAP_LIBS"
+		# This test is carried out against libldap.
+		AC_CHECK_FUNCS([ldap_initialize])
+		# The separate ldap_r library only exists in OpenLDAP < 2.5, and if we
+		# have 2.5 or later, we shouldn't even probe for ldap_r (we might find a
+		# library from a separate OpenLDAP installation).  The most reliable
+		# way to check that is to check for a function introduced in 2.5.
+		AC_CHECK_FUNC([ldap_verify_credentials],
+			[thread_safe_libldap=yes],
+			[thread_safe_libldap=no])
+		if test "$thread_safe_libldap" = no; then
+			# Use ldap_r for FE if available, else assume ldap is thread-safe.
+			# On some platforms ldap_r fails to link without PTHREAD_LIBS.
+			LIBS="$_LIBS"
+			AC_CHECK_LIB(ldap_r, ldap_bind,
+			 [LDAP_LIBS_FE="-lldap_r $EXTRA_LDAP_LIBS"],
+			 [LDAP_LIBS_FE="-lldap $EXTRA_LDAP_LIBS"],
+			 [$PTHREAD_CFLAGS $PTHREAD_LIBS $EXTRA_LDAP_LIBS])
+		else
+			LDAP_LIBS_FE="-lldap $EXTRA_LDAP_LIBS"
+		fi
+	else
+		AC_CHECK_LIB(wldap32, ldap_bind, [], [AC_MSG_ERROR([library 'wldap32' is required for LDAP])])
+		LDAP_LIBS_FE="-lwldap32"
+		LDAP_LIBS_BE="-lwldap32"
+	fi
+	LIBS="$_LIBS"
 fi
 AC_SUBST(LDAP_LIBS_FE)
 AC_SUBST(LDAP_LIBS_BE)
 
 # for contrib/sepgsql
 if test "$with_selinux" = yes; then
-  AC_CHECK_LIB(selinux, security_compute_create_name, [],
-               [AC_MSG_ERROR([library 'libselinux', version 2.1.10 or newer, is required for SELinux support])])
+	AC_CHECK_LIB(selinux, security_compute_create_name, [],
+							 [AC_MSG_ERROR([library 'libselinux', version 2.1.10 or newer, is required for SELinux support])])
 fi
 
 # for contrib/uuid-ossp
 if test "$with_uuid" = bsd ; then
-  # On BSD, the UUID functions are in libc
-  AC_CHECK_FUNC(uuid_to_string,
-    [UUID_LIBS=""],
-    [AC_MSG_ERROR([BSD UUID functions are not present])])
+	# On BSD, the UUID functions are in libc
+	AC_CHECK_FUNC(uuid_to_string,
+		[UUID_LIBS=""],
+		[AC_MSG_ERROR([BSD UUID functions are not present])])
 elif test "$with_uuid" = e2fs ; then
-  # On macOS, the UUID functions are in libc
-  AC_CHECK_FUNC(uuid_generate,
-    [UUID_LIBS=""],
-    [AC_CHECK_LIB(uuid, uuid_generate,
-      [UUID_LIBS="-luuid"],
-      [AC_MSG_ERROR([library 'uuid' is required for E2FS UUID])])])
+	# On macOS, the UUID functions are in libc
+	AC_CHECK_FUNC(uuid_generate,
+		[UUID_LIBS=""],
+		[AC_CHECK_LIB(uuid, uuid_generate,
+			[UUID_LIBS="-luuid"],
+			[AC_MSG_ERROR([library 'uuid' is required for E2FS UUID])])])
 elif test "$with_uuid" = ossp ; then
-  AC_CHECK_LIB(ossp-uuid, uuid_export,
-    [UUID_LIBS="-lossp-uuid"],
-    [AC_CHECK_LIB(uuid, uuid_export,
-      [UUID_LIBS="-luuid"],
-      [AC_MSG_ERROR([library 'ossp-uuid' or 'uuid' is required for OSSP UUID])])])
+	AC_CHECK_LIB(ossp-uuid, uuid_export,
+		[UUID_LIBS="-lossp-uuid"],
+		[AC_CHECK_LIB(uuid, uuid_export,
+			[UUID_LIBS="-luuid"],
+			[AC_MSG_ERROR([library 'ossp-uuid' or 'uuid' is required for OSSP UUID])])])
 fi
 AC_SUBST(UUID_LIBS)
 
@@ -1521,15 +1521,15 @@ AC_CHECK_HEADERS(m4_normalize([
 ]))
 
 if expr x"$pgac_cv_check_readline" : 'x-lreadline' >/dev/null ; then
-  AC_CHECK_HEADERS(readline/readline.h, [],
-        [AC_CHECK_HEADERS(readline.h, [],
-                [AC_MSG_ERROR([readline header not found
+	AC_CHECK_HEADERS(readline/readline.h, [],
+				[AC_CHECK_HEADERS(readline.h, [],
+								[AC_MSG_ERROR([readline header not found
 If you have readline already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support.])])])
-  AC_CHECK_HEADERS(readline/history.h, [],
-        [AC_CHECK_HEADERS(history.h, [],
-                [AC_MSG_ERROR([history header not found
+	AC_CHECK_HEADERS(readline/history.h, [],
+				[AC_CHECK_HEADERS(history.h, [],
+								[AC_MSG_ERROR([history header not found
 If you have readline already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support.])])])
@@ -1540,23 +1540,23 @@ if expr x"$pgac_cv_check_readline" : 'x-ledit' >/dev/null ; then
 # bad practice, since in combined installations readline will have its headers
 # there.  We might have to resort to AC_EGREP checks to make sure we found
 # the proper header...
-  AC_CHECK_HEADERS(editline/readline.h, [],
-        [AC_CHECK_HEADERS(readline.h, [],
-                [AC_CHECK_HEADERS(readline/readline.h, [],
-                        [AC_MSG_ERROR([readline header not found
+	AC_CHECK_HEADERS(editline/readline.h, [],
+				[AC_CHECK_HEADERS(readline.h, [],
+								[AC_CHECK_HEADERS(readline/readline.h, [],
+												[AC_MSG_ERROR([readline header not found
 If you have libedit already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable libedit support.])])])])
 # Note: in a libedit installation, history.h is sometimes a dummy, and may
 # not be there at all.  Hence, don't complain if not found.  We must check
 # though, since in yet other versions it is an independent header.
-  AC_CHECK_HEADERS(editline/history.h, [],
-        [AC_CHECK_HEADERS(history.h, [],
-                [AC_CHECK_HEADERS(readline/history.h)])])
+	AC_CHECK_HEADERS(editline/history.h, [],
+				[AC_CHECK_HEADERS(history.h, [],
+								[AC_CHECK_HEADERS(readline/history.h)])])
 fi
 
 if test "$with_zlib" = yes; then
-  AC_CHECK_HEADER(zlib.h, [], [AC_MSG_ERROR([zlib header not found
+	AC_CHECK_HEADER(zlib.h, [], [AC_MSG_ERROR([zlib header not found
 If you have zlib already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support.])])
@@ -1564,18 +1564,18 @@ fi
 
 PGAC_PATH_PROGS(LZ4, lz4)
 if test "$with_lz4" = yes; then
-  AC_CHECK_HEADER(lz4.h, [], [AC_MSG_ERROR([lz4.h header file is required for LZ4])])
+	AC_CHECK_HEADER(lz4.h, [], [AC_MSG_ERROR([lz4.h header file is required for LZ4])])
 fi
 
 PGAC_PATH_PROGS(ZSTD, zstd)
 if test "$with_zstd" = yes; then
-  AC_CHECK_HEADER(zstd.h, [], [AC_MSG_ERROR([zstd.h header file is required for ZSTD])])
+	AC_CHECK_HEADER(zstd.h, [], [AC_MSG_ERROR([zstd.h header file is required for ZSTD])])
 fi
 
 if test "$with_gssapi" = yes ; then
-  AC_CHECK_HEADERS(gssapi/gssapi.h, [],
+	AC_CHECK_HEADERS(gssapi/gssapi.h, [],
 	[AC_CHECK_HEADERS(gssapi.h, [], [AC_MSG_ERROR([gssapi.h header file is required for GSSAPI])])])
-  AC_CHECK_HEADERS(gssapi/gssapi_ext.h, [],
+	AC_CHECK_HEADERS(gssapi/gssapi_ext.h, [],
 	[AC_CHECK_HEADERS(gssapi_ext.h, [], [AC_MSG_ERROR([gssapi_ext.h header file is required for GSSAPI])])])
 fi
 
@@ -1583,48 +1583,48 @@ PGAC_PATH_PROGS(OPENSSL, openssl)
 pgac_openssl_version="$($OPENSSL version 2> /dev/null || echo openssl not found)"
 AC_MSG_NOTICE([using openssl: $pgac_openssl_version])
 if test "$with_ssl" = openssl ; then
-  AC_CHECK_HEADER(openssl/ssl.h, [], [AC_MSG_ERROR([header file <openssl/ssl.h> is required for OpenSSL])])
-  AC_CHECK_HEADER(openssl/err.h, [], [AC_MSG_ERROR([header file <openssl/err.h> is required for OpenSSL])])
+	AC_CHECK_HEADER(openssl/ssl.h, [], [AC_MSG_ERROR([header file <openssl/ssl.h> is required for OpenSSL])])
+	AC_CHECK_HEADER(openssl/err.h, [], [AC_MSG_ERROR([header file <openssl/err.h> is required for OpenSSL])])
 fi
 
 if test "$with_pam" = yes ; then
-  AC_CHECK_HEADERS(security/pam_appl.h, [],
-                   [AC_CHECK_HEADERS(pam/pam_appl.h, [],
-                                     [AC_MSG_ERROR([header file <security/pam_appl.h> or <pam/pam_appl.h> is required for PAM.])])])
+	AC_CHECK_HEADERS(security/pam_appl.h, [],
+									 [AC_CHECK_HEADERS(pam/pam_appl.h, [],
+																		 [AC_MSG_ERROR([header file <security/pam_appl.h> or <pam/pam_appl.h> is required for PAM.])])])
 fi
 
 if test "$with_bsd_auth" = yes ; then
-  AC_CHECK_HEADER(bsd_auth.h, [], [AC_MSG_ERROR([header file <bsd_auth.h> is required for BSD Authentication support])])
+	AC_CHECK_HEADER(bsd_auth.h, [], [AC_MSG_ERROR([header file <bsd_auth.h> is required for BSD Authentication support])])
 fi
 
 if test "$with_systemd" = yes ; then
-  AC_CHECK_HEADER(systemd/sd-daemon.h, [], [AC_MSG_ERROR([header file <systemd/sd-daemon.h> is required for systemd support])])
+	AC_CHECK_HEADER(systemd/sd-daemon.h, [], [AC_MSG_ERROR([header file <systemd/sd-daemon.h> is required for systemd support])])
 fi
 
 if test "$with_libxml" = yes ; then
-  AC_CHECK_HEADER(libxml/parser.h, [], [AC_MSG_ERROR([header file <libxml/parser.h> is required for XML support])])
+	AC_CHECK_HEADER(libxml/parser.h, [], [AC_MSG_ERROR([header file <libxml/parser.h> is required for XML support])])
 fi
 
 if test "$with_libxslt" = yes ; then
-  AC_CHECK_HEADER(libxslt/xslt.h, [], [AC_MSG_ERROR([header file <libxslt/xslt.h> is required for XSLT support])])
+	AC_CHECK_HEADER(libxslt/xslt.h, [], [AC_MSG_ERROR([header file <libxslt/xslt.h> is required for XSLT support])])
 fi
 
 if test "$with_ldap" = yes ; then
-  if test "$PORTNAME" != "win32"; then
-     AC_CHECK_HEADER(ldap.h, [],
-                     [AC_MSG_ERROR([header file <ldap.h> is required for LDAP])])
-     PGAC_LDAP_SAFE
-  else
-     AC_CHECK_HEADER(winldap.h, [],
-                     [AC_MSG_ERROR([header file <winldap.h> is required for LDAP])],
-                     [AC_INCLUDES_DEFAULT
+	if test "$PORTNAME" != "win32"; then
+		 AC_CHECK_HEADER(ldap.h, [],
+										 [AC_MSG_ERROR([header file <ldap.h> is required for LDAP])])
+		 PGAC_LDAP_SAFE
+	else
+		 AC_CHECK_HEADER(winldap.h, [],
+										 [AC_MSG_ERROR([header file <winldap.h> is required for LDAP])],
+										 [AC_INCLUDES_DEFAULT
 #include <windows.h>
-                     ])
-  fi
+										 ])
+	fi
 fi
 
 if test "$with_bonjour" = yes ; then
-  AC_CHECK_HEADER(dns_sd.h, [], [AC_MSG_ERROR([header file <dns_sd.h> is required for Bonjour])])
+	AC_CHECK_HEADER(dns_sd.h, [], [AC_MSG_ERROR([header file <dns_sd.h> is required for Bonjour])])
 dnl At some point we might add something like
 dnl AC_SEARCH_LIBS(DNSServiceRegister, dns_sd)
 dnl but right now, what that would mainly accomplish is to encourage
@@ -1635,37 +1635,37 @@ fi
 
 # for contrib/uuid-ossp
 if test "$with_uuid" = bsd ; then
-  AC_CHECK_HEADERS(uuid.h,
-    [AC_EGREP_HEADER([uuid_to_string], uuid.h, [],
-      [AC_MSG_ERROR([header file <uuid.h> does not match BSD UUID library])])],
-    [AC_MSG_ERROR([header file <uuid.h> is required for BSD UUID])])
+	AC_CHECK_HEADERS(uuid.h,
+		[AC_EGREP_HEADER([uuid_to_string], uuid.h, [],
+			[AC_MSG_ERROR([header file <uuid.h> does not match BSD UUID library])])],
+		[AC_MSG_ERROR([header file <uuid.h> is required for BSD UUID])])
 elif test "$with_uuid" = e2fs ; then
-  AC_CHECK_HEADERS(uuid/uuid.h,
-    [AC_EGREP_HEADER([uuid_generate], uuid/uuid.h, [],
-      [AC_MSG_ERROR([header file <uuid/uuid.h> does not match E2FS UUID library])])],
-    [AC_CHECK_HEADERS(uuid.h,
-      [AC_EGREP_HEADER([uuid_generate], uuid.h, [],
-        [AC_MSG_ERROR([header file <uuid.h> does not match E2FS UUID library])])],
-      [AC_MSG_ERROR([header file <uuid/uuid.h> or <uuid.h> is required for E2FS UUID])])])
+	AC_CHECK_HEADERS(uuid/uuid.h,
+		[AC_EGREP_HEADER([uuid_generate], uuid/uuid.h, [],
+			[AC_MSG_ERROR([header file <uuid/uuid.h> does not match E2FS UUID library])])],
+		[AC_CHECK_HEADERS(uuid.h,
+			[AC_EGREP_HEADER([uuid_generate], uuid.h, [],
+				[AC_MSG_ERROR([header file <uuid.h> does not match E2FS UUID library])])],
+			[AC_MSG_ERROR([header file <uuid/uuid.h> or <uuid.h> is required for E2FS UUID])])])
 elif test "$with_uuid" = ossp ; then
-  AC_CHECK_HEADERS(ossp/uuid.h,
-    [AC_EGREP_HEADER([uuid_export], ossp/uuid.h, [],
-      [AC_MSG_ERROR([header file <ossp/uuid.h> does not match OSSP UUID library])])],
-    [AC_CHECK_HEADERS(uuid.h,
-      [AC_EGREP_HEADER([uuid_export], uuid.h, [],
-        [AC_MSG_ERROR([header file <uuid.h> does not match OSSP UUID library])])],
-      [AC_MSG_ERROR([header file <ossp/uuid.h> or <uuid.h> is required for OSSP UUID])])])
+	AC_CHECK_HEADERS(ossp/uuid.h,
+		[AC_EGREP_HEADER([uuid_export], ossp/uuid.h, [],
+			[AC_MSG_ERROR([header file <ossp/uuid.h> does not match OSSP UUID library])])],
+		[AC_CHECK_HEADERS(uuid.h,
+			[AC_EGREP_HEADER([uuid_export], uuid.h, [],
+				[AC_MSG_ERROR([header file <uuid.h> does not match OSSP UUID library])])],
+			[AC_MSG_ERROR([header file <ossp/uuid.h> or <uuid.h> is required for OSSP UUID])])])
 fi
 
 if test "$PORTNAME" = "win32" ; then
-   AC_CHECK_HEADERS(crtdefs.h)
+	 AC_CHECK_HEADERS(crtdefs.h)
 fi
 
 if test "$with_libcurl" = yes ; then
-  # Error out early if this platform can't support libpq-oauth.
-  if test "$ac_cv_header_sys_event_h" != yes -a "$ac_cv_header_sys_epoll_h" != yes; then
-    AC_MSG_ERROR([client-side OAuth is not supported on this platform])
-  fi
+	# Error out early if this platform can't support libpq-oauth.
+	if test "$ac_cv_header_sys_event_h" != yes -a "$ac_cv_header_sys_epoll_h" != yes; then
+		AC_MSG_ERROR([client-side OAuth is not supported on this platform])
+	fi
 fi
 
 ##
@@ -1701,41 +1701,41 @@ AC_CHECK_TYPES([struct option], [], [],
 #endif])
 
 case $host_cpu in
-  x86_64)
-    # On x86_64, check if we can compile a popcntq instruction
-    AC_CACHE_CHECK([whether assembler supports x86_64 popcntq],
-                   [pgac_cv_have_x86_64_popcntq],
-    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([],
+	x86_64)
+		# On x86_64, check if we can compile a popcntq instruction
+		AC_CACHE_CHECK([whether assembler supports x86_64 popcntq],
+									 [pgac_cv_have_x86_64_popcntq],
+		[AC_COMPILE_IFELSE([AC_LANG_PROGRAM([],
 	[long long x = 1; long long r;
 	 __asm__ __volatile__ (" popcntq %1,%0\n" : "=q"(r) : "rm"(x));])],
 	[pgac_cv_have_x86_64_popcntq=yes],
 	[pgac_cv_have_x86_64_popcntq=no])])
-    if test x"$pgac_cv_have_x86_64_popcntq" = xyes ; then
+		if test x"$pgac_cv_have_x86_64_popcntq" = xyes ; then
 	AC_DEFINE(HAVE_X86_64_POPCNTQ, 1, [Define to 1 if the assembler supports X86_64's POPCNTQ instruction.])
-    fi
-  ;;
-  ppc*|powerpc*)
-    # On PPC, check if compiler accepts "i"(x) when __builtin_constant_p(x).
-    AC_CACHE_CHECK([whether __builtin_constant_p(x) implies "i"(x) acceptance],
-                   [pgac_cv_have_i_constraint__builtin_constant_p],
-    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM(
-    [static inline int
-     addi(int ra, int si)
-     {
-         int res = 0;
-         if (__builtin_constant_p(si))
-             __asm__ __volatile__(
-                 " addi %0,%1,%2\n" : "=r"(res) : "b"(ra), "i"(si));
-         return res;
-     }
-     int test_adds(int x) { return addi(3, x) + addi(x, 5); }], [])],
-    [pgac_cv_have_i_constraint__builtin_constant_p=yes],
-    [pgac_cv_have_i_constraint__builtin_constant_p=no])])
-    if test x"$pgac_cv_have_i_constraint__builtin_constant_p" = xyes ; then
-      AC_DEFINE(HAVE_I_CONSTRAINT__BUILTIN_CONSTANT_P, 1,
-                [Define to 1 if __builtin_constant_p(x) implies "i"(x) acceptance.])
-    fi
-  ;;
+		fi
+	;;
+	ppc*|powerpc*)
+		# On PPC, check if compiler accepts "i"(x) when __builtin_constant_p(x).
+		AC_CACHE_CHECK([whether __builtin_constant_p(x) implies "i"(x) acceptance],
+									 [pgac_cv_have_i_constraint__builtin_constant_p],
+		[AC_COMPILE_IFELSE([AC_LANG_PROGRAM(
+		[static inline int
+		 addi(int ra, int si)
+		 {
+				 int res = 0;
+				 if (__builtin_constant_p(si))
+						 __asm__ __volatile__(
+								 " addi %0,%1,%2\n" : "=r"(res) : "b"(ra), "i"(si));
+				 return res;
+		 }
+		 int test_adds(int x) { return addi(3, x) + addi(x, 5); }], [])],
+		[pgac_cv_have_i_constraint__builtin_constant_p=yes],
+		[pgac_cv_have_i_constraint__builtin_constant_p=no])])
+		if test x"$pgac_cv_have_i_constraint__builtin_constant_p" = xyes ; then
+			AC_DEFINE(HAVE_I_CONSTRAINT__BUILTIN_CONSTANT_P, 1,
+								[Define to 1 if __builtin_constant_p(x) implies "i"(x) acceptance.])
+		fi
+	;;
 esac
 
 # Check largefile support.  You might think this is a system service not a
@@ -1743,12 +1743,12 @@ esac
 # probing existence of related functions such as fseeko, since the largefile
 # defines can affect what is generated for that.
 if test "$PORTNAME" != "win32"; then
-   AC_SYS_LARGEFILE
-   dnl Autoconf 2.69's AC_SYS_LARGEFILE believes it's a good idea to #define
-   dnl _DARWIN_USE_64_BIT_INODE, but it isn't: on macOS 10.5 that activates a
-   dnl bug that causes readdir() to sometimes return EINVAL.  On later macOS
-   dnl versions where the feature actually works, it's on by default anyway.
-   AH_VERBATIM([_DARWIN_USE_64_BIT_INODE],[])
+	 AC_SYS_LARGEFILE
+	 dnl Autoconf 2.69's AC_SYS_LARGEFILE believes it's a good idea to #define
+	 dnl _DARWIN_USE_64_BIT_INODE, but it isn't: on macOS 10.5 that activates a
+	 dnl bug that causes readdir() to sometimes return EINVAL.  On later macOS
+	 dnl versions where the feature actually works, it's on by default anyway.
+	 AH_VERBATIM([_DARWIN_USE_64_BIT_INODE],[])
 fi
 
 dnl Check for largefile support (must be after AC_SYS_LARGEFILE)
@@ -1756,9 +1756,9 @@ AC_CHECK_SIZEOF([off_t])
 
 # If we don't have largefile support, can't handle segment size >= 2GB.
 if test "$ac_cv_sizeof_off_t" -lt 8; then
-  if expr $RELSEG_SIZE '*' $blocksize '>=' 2 '*' 1024 '*' 1024 >/dev/null; then
-    AC_MSG_ERROR([Large file support is not enabled. Segment size cannot be larger than 1GB.])
-  fi
+	if expr $RELSEG_SIZE '*' $blocksize '>=' 2 '*' 1024 '*' 1024 >/dev/null; then
+		AC_MSG_ERROR([Large file support is not enabled. Segment size cannot be larger than 1GB.])
+	fi
 fi
 
 
@@ -1864,100 +1864,100 @@ fi
 
 # Similarly, use system's getopt_long() only if system provides struct option.
 if test x"$ac_cv_type_struct_option" = xyes ; then
-  AC_REPLACE_FUNCS([getopt_long])
+	AC_REPLACE_FUNCS([getopt_long])
 else
-  AC_LIBOBJ(getopt_long)
+	AC_LIBOBJ(getopt_long)
 fi
 
 # On OpenBSD and Solaris, getopt() doesn't do what we want for long options
 # (i.e., allow '-' as a flag character), so use our version on those platforms.
 if test "$PORTNAME" = "openbsd" -o "$PORTNAME" = "solaris"; then
-  AC_LIBOBJ(getopt)
+	AC_LIBOBJ(getopt)
 fi
 
 # mingw has adopted a GNU-centric interpretation of optind/optreset,
 # so always use our version on Windows.
 if test "$PORTNAME" = "win32"; then
-  AC_LIBOBJ(getopt)
-  AC_LIBOBJ(getopt_long)
+	AC_LIBOBJ(getopt)
+	AC_LIBOBJ(getopt_long)
 fi
 
 # Win32 (really MinGW) support
 if test "$PORTNAME" = "win32"; then
-  AC_LIBOBJ(dirmod)
-  AC_LIBOBJ(kill)
-  AC_LIBOBJ(open)
-  AC_LIBOBJ(system)
-  AC_LIBOBJ(win32common)
-  AC_LIBOBJ(win32dlopen)
-  AC_LIBOBJ(win32env)
-  AC_LIBOBJ(win32error)
-  AC_LIBOBJ(win32fdatasync)
-  AC_LIBOBJ(win32gai_strerror)
-  AC_LIBOBJ(win32getrusage)
-  AC_LIBOBJ(win32link)
-  AC_LIBOBJ(win32ntdll)
-  AC_LIBOBJ(win32pread)
-  AC_LIBOBJ(win32pwrite)
-  AC_LIBOBJ(win32security)
-  AC_LIBOBJ(win32setlocale)
-  AC_LIBOBJ(win32stat)
+	AC_LIBOBJ(dirmod)
+	AC_LIBOBJ(kill)
+	AC_LIBOBJ(open)
+	AC_LIBOBJ(system)
+	AC_LIBOBJ(win32common)
+	AC_LIBOBJ(win32dlopen)
+	AC_LIBOBJ(win32env)
+	AC_LIBOBJ(win32error)
+	AC_LIBOBJ(win32fdatasync)
+	AC_LIBOBJ(win32gai_strerror)
+	AC_LIBOBJ(win32getrusage)
+	AC_LIBOBJ(win32link)
+	AC_LIBOBJ(win32ntdll)
+	AC_LIBOBJ(win32pread)
+	AC_LIBOBJ(win32pwrite)
+	AC_LIBOBJ(win32security)
+	AC_LIBOBJ(win32setlocale)
+	AC_LIBOBJ(win32stat)
 fi
 # Cygwin needs only a bit of that
 if test "$PORTNAME" = "cygwin"; then
-  AC_LIBOBJ(dirmod)
+	AC_LIBOBJ(dirmod)
 fi
 
 AC_CHECK_FUNC(syslog,
-              [AC_CHECK_HEADER(syslog.h,
-                               [AC_DEFINE(HAVE_SYSLOG, 1, [Define to 1 if you have the syslog interface.])])])
+							[AC_CHECK_HEADER(syslog.h,
+															 [AC_DEFINE(HAVE_SYSLOG, 1, [Define to 1 if you have the syslog interface.])])])
 
 AC_CACHE_CHECK([for opterr], pgac_cv_var_int_opterr,
 [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <unistd.h>],
-  [extern int opterr; opterr = 1;])],
-  [pgac_cv_var_int_opterr=yes],
-  [pgac_cv_var_int_opterr=no])])
+	[extern int opterr; opterr = 1;])],
+	[pgac_cv_var_int_opterr=yes],
+	[pgac_cv_var_int_opterr=no])])
 if test x"$pgac_cv_var_int_opterr" = x"yes"; then
-  AC_DEFINE(HAVE_INT_OPTERR, 1, [Define to 1 if you have the global variable 'int opterr'.])
+	AC_DEFINE(HAVE_INT_OPTERR, 1, [Define to 1 if you have the global variable 'int opterr'.])
 fi
 
 AC_CACHE_CHECK([for optreset], pgac_cv_var_int_optreset,
 [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <unistd.h>],
-  [extern int optreset; optreset = 1;])],
-  [pgac_cv_var_int_optreset=yes],
-  [pgac_cv_var_int_optreset=no])])
+	[extern int optreset; optreset = 1;])],
+	[pgac_cv_var_int_optreset=yes],
+	[pgac_cv_var_int_optreset=no])])
 if test x"$pgac_cv_var_int_optreset" = x"yes"; then
-  AC_DEFINE(HAVE_INT_OPTRESET, 1, [Define to 1 if you have the global variable 'int optreset'.])
+	AC_DEFINE(HAVE_INT_OPTRESET, 1, [Define to 1 if you have the global variable 'int optreset'.])
 fi
 
 if test "$with_icu" = yes; then
-  ac_save_CPPFLAGS=$CPPFLAGS
-  CPPFLAGS="$CPPFLAGS $ICU_CFLAGS"
+	ac_save_CPPFLAGS=$CPPFLAGS
+	CPPFLAGS="$CPPFLAGS $ICU_CFLAGS"
 
-  # Verify we have ICU's header files
-  AC_CHECK_HEADER(unicode/ucol.h, [],
-        [AC_MSG_ERROR([header file <unicode/ucol.h> is required for ICU])])
+	# Verify we have ICU's header files
+	AC_CHECK_HEADER(unicode/ucol.h, [],
+				[AC_MSG_ERROR([header file <unicode/ucol.h> is required for ICU])])
 
-  CPPFLAGS=$ac_save_CPPFLAGS
+	CPPFLAGS=$ac_save_CPPFLAGS
 fi
 
 if test "$with_llvm" = yes; then
-  PGAC_CHECK_LLVM_FUNCTIONS()
+	PGAC_CHECK_LLVM_FUNCTIONS()
 fi
 
 # Lastly, restore full LIBS list and check for readline/libedit symbols
 LIBS="$LIBS_including_readline"
 
 if test "$with_readline" = yes; then
-  PGAC_READLINE_VARIABLES
-  AC_CHECK_FUNCS(m4_normalize([
+	PGAC_READLINE_VARIABLES
+	AC_CHECK_FUNCS(m4_normalize([
 	append_history
 	history_truncate_file
 	rl_completion_matches
 	rl_filename_completion_function
 	rl_reset_screen_size
 	rl_variable_bind
-  ]))
+	]))
 fi
 
 
@@ -2013,10 +2013,10 @@ AC_CHECK_ALIGNOF(double)
 MAX_ALIGNOF=$ac_cv_alignof_double
 
 if test $ac_cv_alignof_long -gt $MAX_ALIGNOF ; then
-  AC_MSG_ERROR([alignment of 'long' is greater than the alignment of 'double'])
+	AC_MSG_ERROR([alignment of 'long' is greater than the alignment of 'double'])
 fi
 if test $ac_cv_alignof_int64_t -gt $MAX_ALIGNOF ; then
-  AC_MSG_ERROR([alignment of 'int64_t' is greater than the alignment of 'double'])
+	AC_MSG_ERROR([alignment of 'int64_t' is greater than the alignment of 'double'])
 fi
 AC_DEFINE_UNQUOTED(MAXIMUM_ALIGNOF, $MAX_ALIGNOF, [Define as the maximum alignment requirement of any C data type.])
 
